--- contrib/mysql/Makefile
+++ contrib/mysql/Makefile
@@ -0,0 +1,16 @@
+# mysql conversion Perl scripts
+# $PostgreSQL$
+
+MODULES = 
+SCRIPTS = my2pg.pl  mysql2pgsql
+DOCS = README.mysql
+
+ifdef USE_PGXS
+PGXS = $(shell pg_config --pgxs)
+include $(PGXS)
+else
+subdir = contrib/mysql
+top_builddir = ../..
+include $(top_builddir)/src/Makefile.global
+include $(top_srcdir)/contrib/contrib-global.mk
+endif
--- contrib/Makefile
+++ contrib/Makefile
@@ -22,6 +22,7 @@
 		lo		\
 		ltree		\
 		miscutil	\
+		mysql		\
 		noupdate	\
 		oid2name	\
 		pg_autovacuum	\
@@ -47,7 +48,6 @@
 #		ipc_check	\ (does not have a makefile)
 #		mSQL-interface	\ (requires msql installed)
 #		mac		\ (does not have a makefile)
-#		mysql		\ (does not have a makefile)
 #		oracle		\ (does not have a makefile)
 #		pg_upgrade	\ (does not have a makefile)
 #		reindexdb	\ (does not have a makefile)
--- contrib/dbmirror/Makefile
+++ contrib/dbmirror/Makefile
@@ -1,6 +1,8 @@
 # $PostgreSQL: pgsql/contrib/dbmirror/Makefile,v 1.3 2004/08/20 20:13:03 momjian Exp $
 
 MODULES = pending
+SCRIPTS = clean_pending.pl DBMirror.pl
+DATA = AddTrigger.sql MirrorSetup.sql slaveDatabase.conf
 DOCS = README.dbmirror
 
 ifdef USE_PGXS
--- contrib/mysql/mysql2pgsql
+++ contrib/mysql/mysql2pgsql
@@ -1 +1 @@
-# -*- perl -*-
+#!/usr/bin/perl
--- contrib/xml/Makefile
+++ contrib/xml/Makefile
@@ -1 +1 @@
-# $Header: /var/lib/cvs/pgsql/contrib/xml/Makefile,v 1.9 2004/08/20 20:13:10 momjian Exp $
+# $PostgreSQL$
@@ -6,6 +6,8 @@
 DATA_built = pgxml_dom.sql
 DOCS = README.xml
 
+override CFLAGS += $(shell xml2-config --cflags)
+
 ifdef USE_PGXS
 PGXS = $(shell pg_config --pgxs)
 include $(PGXS)
--- contrib/xml2/Makefile
+++ contrib/xml2/Makefile
@@ -11,6 +11,7 @@
 DATA_built = pgxml.sql
 DOCS = README.xml2
 
+override CFLAGS += $(shell xml2-config --cflags)
 
 ifdef USE_PGXS
 PGXS = $(shell pg_config --pgxs)
